Package org.eclipse.osgi.service.resolver

## Interface BundleSpecification

All Superinterfaces:
  `Cloneable`, `VersionConstraint`

    public interface BundleSpecification
    extends VersionConstraint

A representation of one bundle import constraint as seen in a bundle manifest and managed by a state and resolver.

This interface is not intended to be implemented by clients. The `StateObjectFactory` should be used to construct instances.

Since:
  3.1
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isExported()` Returns whether or not this bundle specificiation is exported from the declaring bundle.
`boolean` `isOptional()` Returns whether or not this bundle specificiation is optional.

### Methods inherited from interface org.eclipse.osgi.service.resolver.VersionConstraint

`getBundle, getName, getRequirement, getSupplier, getUserObject, getVersionRange, isResolved, isSatisfiedBy, setUserObject`

### Method Detail

#### isExported

    boolean isExported()

Returns whether or not this bundle specificiation is exported from the declaring bundle.

Returns:
  whether this specification is exported

#### isOptional

    boolean isOptional()

Returns whether or not this bundle specificiation is optional.

Returns:
  whether this specification is optional